#include <iostream>
#include <stdio.h>

using namespace std;

int g(int n,int p)
{
    int s;
    if(n%p!=0)s=n/p+1;
    else s=n/p;
    return(s);
}

int main()
{
    int p,q,r,L,R,s=0;
    scanf("%d%d%d%d%d",&p,&q,&r,&L,&R);
    for(int N=L;N<=R;N++)
    {
        if(g(N,p)+g(N,q)+g(N,r)<=N)s++;
    }
    printf("%d",s);
    return 0;
}